/// class PD.Manage.Modules.MailQueueToolbarSegment
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.MailQueueToolbarSegment =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/delete"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/resend"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/delete-all"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/resend-all"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/settings-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/mail-queue:mail-queue-item/test-settings-dialog"
        }));

    }

});